Skip to main content
GET
/
v1
/
links
/
{link_id}
/
shifts
List all shifts
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/shifts/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "count": 100,
  "next": "https://prod.truv.com/v1/link/0000000000/shifts?page=1",
  "previous": "https://prod.truv.com/v1/link/0000000000/shifts?page=1",
  "results": [
    {
      "external_id": "48427a36d43c4d5aa6324bc06c692456",
      "start_date": "2022-06-07T00:00:00.000Z",
      "end_date": "2022-06-07T00:00:00.000Z",
      "time_entries": [
        {
          "external_id": "48427a36d43c4d5aa6324bc06c692456",
          "entry_date": "2022-06-07T00:00:00.000Z",
          "start": "2022-06-07T15:00:00.000Z",
          "end": "2022-06-07T16:00:00.000Z",
          "id": "48427a36d43c4d5aa6324bc06c692456",
          "created_at": "2022-06-07T15:00:00.000Z",
          "updated_at": "2022-06-07T15:00:00.000Z"
        }
      ],
      "type": "shift",
      "id": "48427a36d43c4d5aa6324bc06c692456",
      "created_at": "2022-06-07T15:00:00.000Z",
      "updated_at": "2022-06-07T15:00:00.000Z",
      "earnings": [
        {
          "name": "Regular",
          "amount": "1935.77",
          "category": "regular",
          "rate": null,
          "units": null
        },
        {
          "name": "Overtime",
          "amount": "60.58",
          "category": "overtime",
          "rate": "30.29",
          "units": "2"
        }
      ]
    }
  ]
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

Query Parameters

start_date_from
string

Filter start_date greater than or equal (ISO-8601)

Example:

"2022-06-01T00:00:00.000Z"

start_date_to
string

Filter start_date less than or equal (ISO-8601)

Example:

"2022-06-01T00:00:00.000Z"

page
integer
default:1

Page number from the shift list

page_size
integer

Number of results to return per page.

Response

Shift List

count
integer
required

Number of the results in total

Example:

100

next
string | null
required

Link to the next page

Example:

"https://prod.truv.com/v1/link/0000000000/shifts?page=1"

previous
string | null
required

Link to the previous page

Example:

"https://prod.truv.com/v1/link/0000000000/shifts?page=1"

results
Shift · object[]
required

List of the Shifts